Google Web Toolkit
Search Google Code:

# Interface HasCaption

public interface HasCaption
A widget that implements this interface has a caption which can be set and retrieved using these methods.

## Methods

getCaption() | Gets this widget's caption.
setCaption(String) | Sets this widget's caption.

## Method Detail

### getCaption

public String getCaption()
Gets this widget's caption.

#### Return Value

the caption.

### setCaption

public void setCaption(String caption)
Sets this widget's caption.

#### Parameters

caption
  the new caption.